### Method

# Gtk Bitsetdifference

#### Declaration [src]

    void
    gtk_bitset_difference (
      GtkBitset* self,
      const GtkBitset* other
    )

#### Description [src]

Sets `self` to be the symmetric difference of `self` and `other`.

The symmetric difference is set `self` to contain all values that were either contained in `self` or in `other`, but not in both. This operation is also called an XOR.

It is allowed for `self` and `other` to be the same bitset. The bitset will be emptied in that case.

#### Parameters

`other`

  Type: `GtkBitset`

  The `GtkBitset` to compute the difference from.

  The data is owned by the caller of the method.